------------------------------------------------------------------------------------
--Name：            220401[简体征服][任务脚本]海盗觉醒任务-第二部分
--Creator:      江宇君
--Created:     2022-04-01
------------------------------------------------------------------------------------
-- 设置摄像机指向位置(网格坐标)
--/callluafunc </F>User_PlayPlot</N>275

CppScriptMgr:SetViewPosByCell(68, 57)

------------------------------------------------------------
--玩家对象操作接口,Hero、Player、Npc接口都一样
-- 查询/创建，玩家自己
-- 参数：无
--怪物

CppScriptMgr:AddEffect("mag_pro_rep", 70, 55)
local player1 = CppScriptMgr:AddSimplePlayer(21520, 70, 55, "MysteryIslandTreasure")
player1:SetZoomPercent(130)
CppScriptMgr:WaitMilSec(1000)
CppScriptMgr:AddEffect("ZS_wushuang_fwzt", 69, 63)
CppScriptMgr:WaitMilSec(1000)

local playerMonster1   = CppScriptMgr:AddPlayer(950, 68, 63, "[MysteryIslandWarden]\n     BoltBeast")
playerMonster1:SetZoomPercent(160)
playerMonster1:AddEffect("ZS_wuhuang_xzdh")
playerMonster1:SetAction(401)
CppScriptMgr:WaitMilSec(2000)
playerMonster1:SetAction(402)
CppScriptMgr:WaitMilSec(2000)
playerMonster1:SetAction(403)
CppScriptMgr:WaitMilSec(2000)